#### Previous topic

scipy.special.riccati_jn

#### Next topic

scipy.special.struve

# scipy.special.riccati_yn

`scipy.special.``riccati_yn`(n, x)

  Compute Ricatti-Bessel function of the second kind and its derivative.

  The Ricatti-Bessel function of the second kind is defined as \(x y_n(x)\), where \(y_n\) is the spherical Bessel function of the second kind of order \(n\).

  This function computes the value and first derivative of the function for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of function to compute

  x : float

  > Argument at which to evaluate

  Returns:

  yn : ndarray

  > Value of y0(x), …, yn(x)

  ynp : ndarray

  > First derivative y0’(x), …, yn’(x)

  Notes

  The computation is carried out via ascending recurrence, using the relation DLMF 10.51.1 [R486].

  Wrapper for a Fortran routine created by Shanjie Zhang and Jianming Jin [R485].

  References

  [R485] | (1, 2) Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html

  [R486] | (1, 2) NIST Digital Library of Mathematical Functions. http://dlmf.nist.gov/10.51.E1